## com.vividsolutions.jts.simplify
Class TaggedLinesSimplifier

    java.lang.Object
      com.vividsolutions.jts.simplify.TaggedLinesSimplifier

public class TaggedLinesSimplifier
extends java.lang.Object

Simplifies a collection of `TaggedLineString`s, preserving topology (in the sense that no new intersections are introduced). This class is essentially just a container for the common indexes used by `TaggedLineStringSimplifier`.

Constructor Summary
`TaggedLinesSimplifier()`

Method Summary
`void` `setDistanceTolerance(double distanceTolerance)` Sets the distance tolerance for the simplification.
`void` `simplify(java.util.Collection taggedLines)` Simplify a collection of `TaggedLineString`s

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaggedLinesSimplifier

    public TaggedLinesSimplifier()

Method Detail

### setDistanceTolerance

    public void setDistanceTolerance(double distanceTolerance)

  Sets the distance tolerance for the simplification. All vertices in the simplified geometry will be within this distance of the original geometry.

  Parameters:
    `distanceTolerance` - the approximation tolerance to use

### simplify

    public void simplify(java.util.Collection taggedLines)

  Simplify a collection of `TaggedLineString`s

  Parameters:
    `taggedLines` - the collection of lines to simplify